%define mtype      filter
%define shortname   mimetex
%define moodledir	%_var/www/html/addon-modules/moodle

Name: moodle-%mtype-%shortname
Version: 1.64
Release: alt0.M40.1

Summary: Mimetex ets you easily embed LaTeX math in your html pages 
License: GPL
Group: Networking/Other

Url: http://www.forkosh.com/mimetex.html
Source0: %shortname-%version.tar.bz2
Packager: Vladimir A. Svyatoshenko <svyt@altlinux.ru>

#AutoReqProv: no
Requires: moodle

%define installdir %moodledir/filter/tex

%description
  MimeTeX, licensed under the gpl, lets you easily embed LaTeX math in your html pages.  It parses 
a LaTeX math expression and immediately emits the corresponding gif image, rather than the usual 
TeX dvi. And mimeTeX is an entirely separate little program that doesn't use TeX or its fonts in 
any way. It's just one cgi that you put in your site's cgi-bin/ directory, with no other 
dependencies. So mimeTeX is very easy to install. And it's equally easy to use. Just place an 
html <img> tag in your document wherever you want to see the corresponding LaTeX expression.

%prep
%setup -q -n %shortname

%build
gcc -DAA mimetex.c gifsave.c -lm -o mimetex.linux

%__rm *.c 
%__rm *.h 

%install
%__install -m755 -d %buildroot%installdir
%__cp -R * %buildroot%installdir

%files
%installdir/

%changelog
* Mon Jun 16 2008 Alexandra Panyukova <mex3@altlinux.ru> 1.64-alt0.M40.1
- build for M40

* Mon Jun 02 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.64-alt1
- new version

* Tue Jun 05 2007 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.6-alt1
- built for ALT Linux
